.images-composition {
    position: relative;

    &__img {
        position: absolute;
        z-index: 10;

        width: 55%;

        box-shadow: 0 1.5rem 4rem rgba($color-black, .4);
        border-radius: 2px;
        outline-offset: 1.5rem;

        transition: transform .2s;

        @include respond-to('tablet-portrait') {
            position: relative;
            width: 33.3%;

            box-shadow: 0 1.5rem 3rem rgba($color-black, .2);
        }

        &_p1 {
            top: -2rem;
            left: 0;

            @include respond-to('tablet-portrait') {
                top: 0;
                transform: scale(1.2);
            }
        }

        &_p2 {
            top: 2rem;
            right: 0;

            @include respond-to('tablet-portrait') {
                top: -1rem;
                transform: scale(1.1);
                z-index: 100;
            }
        }

        &_p3 {
            top: 10rem;
            left: 20%;

            @include respond-to('tablet-portrait') {
                top: 1rem;
                left: 0;
                transform: scale(1.3);
            }
        }

        &:hover {
            z-index: 20;

            outline: 1.5rem solid $color-primary;

            transform: scale(1.05) translateY(-.5rem);
            box-shadow: 0 2.5rem 4rem rgba($color-black, .5);

            @include respond-to('tablet-portrait') {
                outline-offset: 0;
                outline: none;
                transform: none;
            }
        }
    }

    &:hover &__img:not(:hover) {
        transform: scale(.95);

        @include respond-to('tablet-portrait') {
            transform: scale(1.1);
        }
    }
}
